CachedConstants (Apache CXF JavaDoc 4.2.2 API)
Description: declaration: package: org.apache.cxf.io, class: CachedConstants

Package org.apache.cxf.io

# Class CachedConstants

java.lang.Object
org.apache.cxf.io.CachedConstants

public final class CachedConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CIPHER_TRANSFORMATION_BUS_PROP`
  The cipher transformation name for encrypting the cached content.
  `static final String`
  `CIPHER_TRANSFORMATION_SYS_PROP`
  The cipher transformation name for encrypting the cached content.
  `static final String`
  `CLEANER_CLEAN_ON_SHUTDOWN_BUS_PROP`
  Forces cleaning of the unclosed `CachedOutputStream` instances on
  invalid reference

      Bus

  shutdown.
  `static final String`
  `CLEANER_DELAY_BUS_PROP`
  The delay (in ms) for cleaning up unclosed `CachedOutputStream` instances. 30 minutes is specified by default, the minimum value is 2 seconds.
  `static final String`
  `CLEANER_STRATEGY_BUS_PROP`
  The strategy to be used for cleaning up unclosed `CachedOutputStream` instances.
  `static final String`
  `MAX_SIZE_BUS_PROP`
  The data size in bytes to limit the maximum data size to be cached.
  `static final String`
  `MAX_SIZE_SYS_PROP`
  The data size in bytes to limit the maximum data size to be cached.
  `static final String`
  `OUTPUT_DIRECTORY_BUS_PROP`
  The directory name for storing the temporary files.
  `static final String`
  `OUTPUT_DIRECTORY_SYS_PROP`
  The directory name for storing the temporary files.
  `static final String`
  `THRESHOLD_BUS_PROP`
  The threshold value in bytes to switch from memory to file caching.
  `static final String`
  `THRESHOLD_SYS_PROP`
  The threshold value in bytes to switch from memory to file caching.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OUTPUT_DIRECTORY_SYS_PROP

    public static final String OUTPUT_DIRECTORY_SYS_PROP
    The directory name for storing the temporary files. None is specified by default.
    See Also:
      - Constant Field Values

  - ### OUTPUT_DIRECTORY_BUS_PROP

    public static final String OUTPUT_DIRECTORY_BUS_PROP
    The directory name for storing the temporary files. None is specified by default.
    See Also:
      - Constant Field Values

  - ### THRESHOLD_SYS_PROP

    public static final String THRESHOLD_SYS_PROP
    The threshold value in bytes to switch from memory to file caching. The default value is 128K for CachedOutputStream and 64K for CachedWriter.
    See Also:
      - Constant Field Values

  - ### THRESHOLD_BUS_PROP

    public static final String THRESHOLD_BUS_PROP
    The threshold value in bytes to switch from memory to file caching. The default value is 128K for CachedOutputStream and 64K for CachedWriter.
    See Also:
      - Constant Field Values

  - ### MAX_SIZE_SYS_PROP

    public static final String MAX_SIZE_SYS_PROP
    The data size in bytes to limit the maximum data size to be cached. No max size is set by default.
    See Also:
      - Constant Field Values

  - ### MAX_SIZE_BUS_PROP

    public static final String MAX_SIZE_BUS_PROP
    The data size in bytes to limit the maximum data size to be cached. No max size is set by default.
    See Also:
      - Constant Field Values

  - ### CIPHER_TRANSFORMATION_SYS_PROP

    public static final String CIPHER_TRANSFORMATION_SYS_PROP
    The cipher transformation name for encrypting the cached content. None is specified by default.
    See Also:
      - Constant Field Values

  - ### CIPHER_TRANSFORMATION_BUS_PROP

    public static final String CIPHER_TRANSFORMATION_BUS_PROP
    The cipher transformation name for encrypting the cached content. None is specified by default.
    See Also:
      - Constant Field Values

  - ### CLEANER_DELAY_BUS_PROP

    public static final String CLEANER_DELAY_BUS_PROP
    The delay (in ms) for cleaning up unclosed `CachedOutputStream` instances. 30 minutes is specified by default, the minimum value is 2 seconds. If the value of the delay is set to 0 (or is negative), the cleaner will be deactivated.
    See Also:
      - Constant Field Values

  - ### CLEANER_CLEAN_ON_SHUTDOWN_BUS_PROP

    public static final String CLEANER_CLEAN_ON_SHUTDOWN_BUS_PROP
    Forces cleaning of the unclosed `CachedOutputStream` instances on
    invalid reference

        Bus

    shutdown. The default value is "true", if the cleaner is deactivated or the value is set to "false", no cleanup attempt on shutdown will be performed.
    See Also:
      - Constant Field Values

  - ### CLEANER_STRATEGY_BUS_PROP

    public static final String CLEANER_STRATEGY_BUS_PROP
    The strategy to be used for cleaning up unclosed `CachedOutputStream` instances. By default, there cleaner implementation creates a timer per each
    invalid reference

        Bus

    instance. However, in certain deployments it could lead to excessive number of timers being created, so there is an alternative strategy that uses single timer instance. The supported strategies are: default, single-timer.
    See Also:
      - Constant Field Values